from gm_rpcd.all import bind

from talos.services.subscript_article import SubscriptArticleService, SubscriptArticleCategoryService


@bind('mimas/subscript_article/list')
def tractate_favorite_create(article_ids):
    """根据article_id列表获取article。"""

    return SubscriptArticleService.list_by_ids(article_ids)


@bind('mimas/subscript_article/category')
def subscrip_article_category():
    """获取类目列表信息"""

    return SubscriptArticleCategoryService.list()
